> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get One Carrier Invoice

> Get a carrier invoice by ID



## OpenAPI

````yaml /api-reference/openapi.json get /api/rest/carrier_invoices/{id}
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/carrier_invoices/{id}:
    get:
      tags:
        - Carrier Invoices
      summary: Get One Carrier Invoice
      description: Get a carrier invoice by ID
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - description: _"id" is required (enter it either in parameters or request body)_
          in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  carrierInvoice:
                    description: >-
                      Invoices (payables) received from carriers (e.g. via
                      email)
                    nullable: true
                    properties:
                      balance:
                        nullable: false
                        title: Int
                        type: integer
                      billId:
                        nullable: true
                        title: String
                        type: string
                      carrierId:
                        nullable: true
                        title: String
                        type: string
                      carrierInvoiceLineItems:
                        items:
                          description: >-
                            columns and relationships of
                            "carrier_invoice_line_items"
                          nullable: false
                          properties:
                            description:
                              nullable: true
                              title: String
                              type: string
                            id:
                              nullable: false
                              title: String
                              type: string
                            item:
                              nullable: true
                              title: String
                              type: string
                            lineNumber:
                              nullable: true
                              title: String
                              type: string
                            quantity:
                              $ref: '#/components/schemas/numeric'
                            totalAmount:
                              nullable: true
                              title: Int
                              type: integer
                            unitPrice:
                              nullable: true
                              title: Int
                              type: integer
                          title: CarrierInvoiceLineItems
                          type: object
                        nullable: false
                        type: array
                      createdAt:
                        $ref: '#/components/schemas/timestamptz'
                      currency:
                        $ref: '#/components/schemas/CurrencyCodeEnum'
                      dueDate:
                        $ref: '#/components/schemas/date'
                      exceptions:
                        nullable: true
                        title: String
                        type: string
                      id:
                        nullable: false
                        title: String
                        type: string
                      invoiceNumber:
                        nullable: true
                        title: String
                        type: string
                      issueDate:
                        $ref: '#/components/schemas/date'
                      loadNumber:
                        nullable: true
                        title: String
                        type: string
                      metadata:
                        $ref: '#/components/schemas/jsonb'
                      receivedAt:
                        $ref: '#/components/schemas/timestamptz'
                      referenceNumbers:
                        $ref: '#/components/schemas/jsonb'
                      shipmentId:
                        nullable: true
                        title: String
                        type: string
                      status:
                        $ref: '#/components/schemas/CarrierInvoiceStatusEnum'
                      totalAmount:
                        nullable: true
                        title: Int
                        type: integer
                      totalTaxAmount:
                        nullable: true
                        title: Int
                        type: integer
                      updatedAt:
                        $ref: '#/components/schemas/timestamptz'
                    title: CarrierInvoices
                    type: object
          description: Responses for GET /api/rest/carrier_invoices/{id}
components:
  schemas:
    numeric:
      nullable: false
      title: numeric
    timestamptz:
      nullable: false
      title: timestamptz
      type: string
      format: date-time
      description: >-
        A timestamp with timezone in ISO 8601 format, such as
        2024-12-16T21:57:14.525733+00:00
    CurrencyCodeEnum:
      enum:
        - AED
        - AUD
        - BRL
        - CAD
        - CHF
        - CNY
        - EGP
        - EUR
        - GBP
        - HKD
        - IDR
        - INR
        - JPY
        - KRW
        - MXN
        - MYR
        - NZD
        - QAR
        - SAR
        - SGD
        - THB
        - TRY
        - TWD
        - USD
        - VND
        - ZAR
      nullable: false
      title: CurrencyCodeEnum
    date:
      nullable: false
      title: date
      type: string
      format: date
      description: A date string, such as 2024-02-03 (YYYY-MM-DD)
    jsonb:
      nullable: false
      title: jsonb
    CarrierInvoiceStatusEnum:
      enum:
        - APPROVED
        - AWAITING_BILL
        - AWAITING_CARRIER_RESPONSE
        - AWAITING_INVOICE
        - CANCELLED
        - CARRIER_EXCEPTION
        - CARRIER_RESPONDED
        - DISPUTED
        - EXCEPTION
        - PAID
        - PART_PAID
        - PROCESSING
        - RECEIVED
        - REFUNDED
        - REJECTED
        - UNDER_REVIEW
      nullable: false
      title: CarrierInvoiceStatusEnum

````